Create Notification Route Endpoint
import requests
url = "https://platform.ankra.app/api/v1/org/notifications/routes"
payload = { "destination_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({destination_id: '<string>'})
};
fetch('https://platform.ankra.app/api/v1/org/notifications/routes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/org/notifications/routes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"destination_id": "<string>"
}
'{
"id": "<string>",
"organisation_id": "<string>",
"kind": "<string>",
"kinds": [
"<string>"
],
"kinds_negated": true,
"severity": "<string>",
"cluster_id": "<string>",
"source_id": "<string>",
"destination_id": "<string>",
"priority": 123,
"stop_on_match": true,
"mode": "<string>",
"enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Notifications
Create Notification Route Endpoint
POST
/
api
/
v1
/
org
/
notifications
/
routes
Create Notification Route Endpoint
import requests
url = "https://platform.ankra.app/api/v1/org/notifications/routes"
payload = { "destination_id": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({destination_id: '<string>'})
};
fetch('https://platform.ankra.app/api/v1/org/notifications/routes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));curl --request POST \
--url https://platform.ankra.app/api/v1/org/notifications/routes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"destination_id": "<string>"
}
'{
"id": "<string>",
"organisation_id": "<string>",
"kind": "<string>",
"kinds": [
"<string>"
],
"kinds_negated": true,
"severity": "<string>",
"cluster_id": "<string>",
"source_id": "<string>",
"destination_id": "<string>",
"priority": 123,
"stop_on_match": true,
"mode": "<string>",
"enabled": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response